body{
	position: absolute;
	top: 0;
	left: 0;
	right: 0;
	bottom: 0;
	background: #010304;
	color: #fff;
	overflow: auto;
}
.header{
	padding: 30px;
	display: flex;
	align-items: center;
	justify-content: space-evenly;
}
.ewing-box, .gant-box{
	height: 200px;
	width: 200px;
	border-radius: 50%;
	border: 3px solid #999;
	text-align: center;
	display: flex;
	align-items: center;
	justify-content: center;
}
.ewing-box.connected, .gant-box.connected{
	border: 3px solid #8c1f84;
	background: rgba(140, 31, 132, 0.29);
}
.ewing-box.connected .btn, .gant-box.connected .btn{
	display: none;
}
.btn{
	margin: 5px;
	padding: 5px 10px;
	border-radius: 3px;
	background: #8c1f84;
	cursor: pointer;
}
.chartflex{
	display: flex;
	justify-content: center;
}
.chart{
	width: 25%;
	padding: 10px;
}
.chart h2{
	text-align: center;
}
.chart canvas{
	border: 1px solid #333;
}
.btnflex{
	display: flex;
	align-items: center;
	justify-content: space-evenly;
}
.btnbot{
	border-radius: 3px;
	border: 3px solid #333;
	cursor: pointer;
	width: fit-content;
	padding: 15px 30px;
	color: #333;
}
.kill.active, .btnmanual.active{
	background: #8c1f84;
	border: 3px solid #8c1f84;
	color: #fff;
}
.kiff.active{
	background:
			linear-gradient(to top right, rgba(255,0,0,1) 0%, rgba(255,154,0,1) 10%, rgba(208,222,33,1) 20%, rgba(79,220,74,1) 30%, rgba(63,218,216,1) 40%, rgba(47,201,226,1) 50%, rgba(28,127,238,1) 60%, rgba(95,21,242,1) 70%, rgba(186,12,248,1) 80%, rgba(251,7,217,1) 90%, rgba(255,0,0,1) 100%)
			0 0/4000% 100%;
	animation: a 10s linear infinite;
	color: #fff;
	border: 3px solid #8c1f84;
}
@keyframes a {
	to {background-position:-4000% 0}
}
.valflex{
	display: flex;
	align-items: center;
	justify-content: center;
	padding: 10px 0;
}
.val{
	height: 70px;
	width: 70px;
	margin: 0 10px;
	background: #8c1f84;
	border-radius: 50%;
	display: flex;
	align-items: center;
	justify-content: center;
	position: relative;
}
.valname{
	position: absolute;
	bottom: -20px;
	left: -10px;
	right: -10px;
	text-align: center;
}
.val span{
	font-size: 24px;
	font-weight: 500;
}
.manualcontrols{
	display: none;
}
.manualcontrols.active{
	display: flex;
	align-items: center;
	justify-content: center;
	padding: 10px;
}
.vGaz{
	display: inline !important;
	width: 60px !important;
	height: 40px !important;
	border-radius: 0 !important;
	text-align: center;
	font-size: 22px;
}
.manualcontrols button{
	height: 40px;
	width: 40px;
	border: none;
	background: #8c1f84;
	font-size: 22px;
	border-radius: 3px 0 0 3px;
	color: #fff;
}
.manualcontrols button.btnplus{
	border-radius: 0 3px 3px 0;
}